Subject: bug#7650: Subject: 23.2; [PATCH] re-builder.el: "Case sensitive" menu won't be updated properly.

From: Keitaro Miyazaki <[email-masked]>
Date: Sun, 23 Jan 2011 16:08:21 +0900

On Sun, Jan 23, 2011 at 5:53 AM, Chong Yidong <[email-masked]> wrote:
> Thanks, now I see it.  I've commited your patch.

I tried your commit, though it seems that the menu
"Case sensitive" still won't be updated properly.

I think that a check mark on the menu should be TURNED ON
at step 6 of my step-by-step procedure, because this menu
should tell the status of a variable `case-fold-search'
in `reb-target-buffer' (in my example, the buffer "*scratch*"
is set to this variable) to user.

Could you try my patch again?

--- emacs/lisp/emacs-lisp/re-builder.el.orig	2011-01-23 15:44:02.000000000 +0900
+++ emacs/lisp/emacs-lisp/re-builder.el	2011-01-23 15:46:41.000000000 +0900
@@ -243,7 +243,7 @@ Except for Lisp syntax this is the same
 		  :help "Quit the RE Builder mode"))
     (define-key menu-map [rt]
       '(menu-item "Case sensitive" reb-toggle-case
-		  :button (:toggle . (null case-fold-search))
+		  :button (:toggle . (with-current-buffer reb-target-buffer
case-fold-search))
 		  :help "Toggle case sensitivity of searches for RE Builder target buffer"))
     (define-key menu-map [rb]
       '(menu-item "Change target buffer..." reb-change-target-buffer

Best regards,
Keitaro

--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your report will be posted to the [email-masked] mailing list
and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Users/kay/Work/emacs-current/emacs/nextstep/Emacs.app/Contents/Resources/etc/DEBUG.

In GNU Emacs 24.0.50.2 (x86_64-apple-darwin10.6.0, NS apple-appkit-1038.35)
 of 2011-01-23 on mac
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: ja_JP.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RE Builder

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> C-x b * s c r a t c h * <return> A b C
d M-x r e - b u <tab> <return> a b c d <menu-bar> <reb-mode>
<rt> <menu-bar> <reb-mode> <rt> M-x r e p o r t - e m a c s
- b u g <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
195 matches [2 times]
11 matches
1 match [3 times]
No matches
1 match
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader emacsbug
help-mode easymenu view re-builder japan-util tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)